﻿using System;
using System.ComponentModel;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;
using Telerik.Ajax.SharePoint;
using System.Web.UI.HtmlControls;

namespace SPRadGridWebPart
{
    [ToolboxItemAttribute(false)]
    public class SPRadGridWebPartExtension : TelerikSPRadGridWebPart
    {
        protected override void CreateControlHierarchy()
        {
            base.CreateControlHierarchy();
            Grid.Skin = "Sky";
            Grid.EnableEmbeddedSkins = false;

            Grid.ImagesPath = ClassResourcePath + "/Sky/Grid";            

            HtmlLink link = new HtmlLink();
            link.Href = ClassResourcePath + "/Sky/Grid.Sky.css";
            link.Attributes.Add("type", "text/css");
            link.Attributes.Add("rel", "stylesheet");
            Page.Header.Controls.Add(link);

            link = new HtmlLink();
            link.Href = ClassResourcePath + "/Sky/Menu.Sky.css";
            link.Attributes.Add("type", "text/css");
            link.Attributes.Add("rel", "stylesheet");
            Page.Header.Controls.Add(link);


            link = new HtmlLink();
            link.Href = ClassResourcePath + "/Sky/Input.Sky.css";
            link.Attributes.Add("type", "text/css");
            link.Attributes.Add("rel", "stylesheet");
            Page.Header.Controls.Add(link);  


        }

        public override void CreateWebPartMenu()
        {
            base.CreateWebPartMenu();

            //if user does not have enough credentials.
            WebPartMenu.MenuItems.Remove(WebPartMenu.MenuItems.ItemFromID("ParentItemID"));
        }
    }
}
